/* This file contains functions for working with MySQL, for my Synchronet
 * JavaScript scripts for my BBS, Digital Distortion.
 *
 * Other files required:
 * DDMisc.js (in the same directory)
 *
 * Date       Author          Description
 * 2010-01-04 Eric Oulashin   Created
 */

// Settings for various things
// TODO: Put your MySQL root password in the double-quotes here
var MYSQL_ROOT_PASSWORD =  "";

// Determine the location of this script (its startup directory).
// The code for figuring this out is a trick that was created by Deuce,
// suggested by Rob Swindell.  I've shortened the code a little.
var gStartupPath = '.';
try { throw dig.dist(dist); } catch(e) { gStartupPath = e.fileName; }
gStartupPath = backslash(gStartupPath.replace(/[\/\\][^\/\\]*$/,''));

load(gStartupPath + "DDMisc.js");

// Runs an SQL query on the MySQL database.
//
// Paramters:
//  pSQL: A string containing the SQL to execute
//
// Return value: An object containing the following properties:
//               returnCode: The return code of the OS command
//               cmdOutput: An array of strings containing the output from mysql
function runMySQLQuery(pSQL)
{
   return execCmdWithOutput("mysql -u root -p" + MYSQL_ROOT_PASSWORD +
                             " --execute=\"" + pSQL + "\"");
}